Bug 1516234 - Upgrade is not possible if a kernel from rawhide has been used in the system
Summary: Upgrade is not possible if a kernel from rawhide has been used in the system
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugin-system-upgrade   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 10:38 UTC by Fabiano Fidêncio
Modified: 2017-12-10 05:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 16:25:27 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fabiano Fidêncio 2017-11-22 10:38:04 UTC
Description of problem:
If a kernel from rawhide has been used in the system "dnf system-upgrade download --releasever=27" will fail with: Error: No new kernel packages were found.
"dnf system-upgrade reboot" will fail (as the download failed) with "Error: system is not ready for upgrade"


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce (on a f26 machine):
1. Install fedora-rawhide-kernel-nodebug (https://fedoraproject.org/wiki/RawhideKernelNodebug)
2. Try to upgrade to f27 using dnf-plugin-system-upgrade
3. dnf system-upgrade download --releasever=f27 will fail

Actual results:
dnf system-upgrade download --releasever=f27 fails.

Expected results:
dnf system-upgrade download --releasever=f27 doesn't fail or fail giving a hint about which repo to disable

Additional info:
The workaround is to disable the fedora-rawhide-kernel-nodebug repo and everything will work as expected.

Comment 1 Jaroslav Mracek 2017-11-22 11:59:35 UTC
Here is the patch https://github.com/rpm-software-management/dnf-plugins-extras/pull/114

Comment 2 Fedora Update System 2017-11-23 11:30:29 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0da8237a59

Comment 3 Fedora Update System 2017-11-23 11:30:43 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb8295779d

Comment 4 Fedora Update System 2017-11-25 00:36:13 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb8295779d

Comment 5 Fedora Update System 2017-11-25 01:35:04 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0da8237a59

Comment 6 Fedora Update System 2017-11-28 16:25:27 UTC
dnf-plugins-extras-2.0.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2017-12-10 05:05:09 UTC
dnf-plugins-extras-2.0.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.